Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Class PropertyRef

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.content.expression.PropertyRef

All Implemented Interfaces:
  Cloneable, Expression, ExpressionEvents, Serializable

Direct Known Subclasses:
  RequestPropertyRef, SessionPropertyRef, UserPropertyRef

public class PropertyRef
extends Operator

An operator that represents a reference to a property.

This base class is used in the left-hand-side of content query expression to reference a content property.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`PropertyRef(Object propName)` Constructor.
`PropertyRef(Object propSet, Object propName)` Constructor.
`PropertyRef(PropertyRef propertyRef)` Constructor.

Method Summary
`Object` | `getPropertyName()` Get the property name.
`Object` | `getPropertySet()` Get the property set.
`String` | `getPropertyType()` Return the type of property this refers to.

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyRef

    public PropertyRef(Object propSet,
                       Object propName)

  Constructor.

Parameters:
  `propSet` - the property set name.
  `propName` - the property name.

### PropertyRef

    public PropertyRef(PropertyRef propertyRef)

  Constructor.

Parameters:
  `propertyRef` - the property ref to copy

### PropertyRef

    public PropertyRef(Object propName)

  Constructor.

Parameters:
  `propName` - the property name.

Method Detail

### getPropertySet

    public Object getPropertySet()

  Get the property set.

### getPropertyName

    public Object getPropertyName()

  Get the property name.

### getPropertyType

    public String getPropertyType()

  Return the type of property this refers to.

  This should correspond to a valid propertySetType in the PropertySetManager, but does not have to. The pre-defined values are "CONTENT", "USER", "REQUEST", "SESSION", and "EVENT".

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved